summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
Diffstat (limited to 'jjb')
-rwxr-xr-xjjb/3rd_party_ci/detect-snapshot.sh5
-rwxr-xr-xjjb/3rd_party_ci/download-netvirt-artifact.sh13
-rw-r--r--jjb/3rd_party_ci/odl-netvirt.yaml3
-rwxr-xr-xjjb/cperf/cperf-robot-netvirt-csit.sh2
4 files changed, 11 insertions, 12 deletions
diff --git a/jjb/3rd_party_ci/detect-snapshot.sh b/jjb/3rd_party_ci/detect-snapshot.sh
index 4949cb2c8..77788aa2c 100755
--- a/jjb/3rd_party_ci/detect-snapshot.sh
+++ b/jjb/3rd_party_ci/detect-snapshot.sh
@@ -8,9 +8,8 @@ parsed_comment=$(echo $GERRIT_EVENT_COMMENT_TEXT | sed -n 's/^.*check-opnfv\s*//
parsed_comment=$(echo $parsed_comment | sed -n 's/\s*$//p')
if [ ! -z "$parsed_comment" ]; then
if echo $parsed_comment | grep -E '^[a-z]+-(no)?ha'; then
- IFS='-' read -r -a array <<< "$parsed_comment"
- os_version=${array[0]}
- topo=${array[1]}
+ os_version=${parsed_comment%%"-"*}
+ topo=${parsed_comment#*"-"}
echo "OS version detected in gerrit comment: ${os_version}"
echo "Topology type detected in gerrit comment: ${topo}"
else
diff --git a/jjb/3rd_party_ci/download-netvirt-artifact.sh b/jjb/3rd_party_ci/download-netvirt-artifact.sh
index b1f977a6f..ac7f76ccd 100755
--- a/jjb/3rd_party_ci/download-netvirt-artifact.sh
+++ b/jjb/3rd_party_ci/download-netvirt-artifact.sh
@@ -8,24 +8,23 @@ if [ "$ODL_BRANCH" != 'master' ]; then
DIST=$(echo ${ODL_BRANCH} | sed -rn 's#([a-zA-Z]+)/([a-zA-Z]+)#\2#p')
ODL_BRANCH=$(echo ${ODL_BRANCH} | sed -rn 's#([a-zA-Z]+)/([a-zA-Z]+)#\1%2F\2#p')
else
- DIST='fluorine'
+ DIST='neon'
fi
echo "ODL Distribution is ${DIST}"
ODL_ZIP="karaf-SNAPSHOT.zip"
-CHANGE_DETAILS_URL="https://git.opendaylight.org/gerrit/changes/netvirt~${ODL_BRANCH}~${GERRIT_CHANGE_ID}/detail"
+CHANGE_DETAILS_URL="https://git.opendaylight.org/gerrit/changes/${GERRIT_PROJECT}~${ODL_BRANCH}~${GERRIT_CHANGE_ID}/detail"
# due to limitation with the Jenkins Gerrit Trigger, we need to use Gerrit REST API to get the change details
-ODL_BUILD_JOB_NUM=$(curl --fail ${CHANGE_DETAILS_URL} | grep -Eo "netvirt-distribution-check-${DIST}/[0-9]+" | tail -1 | grep -Eo [0-9]+)
-DISTRO_CHECK_CONSOLE_LOG="https://logs.opendaylight.org/releng/vex-yul-odl-jenkins-1/netvirt-distribution-check-${DIST}/${ODL_BUILD_JOB_NUM}/console.log.gz"
+ODL_BUILD_JOB_NUM=$(curl --fail ${CHANGE_DETAILS_URL} | grep -Eo "${GERRIT_PROJECT}-distribution-check-${DIST}/[0-9]+" | tail -1 | grep -Eo [0-9]+)
+DISTRO_CHECK_CONSOLE_LOG="https://logs.opendaylight.org/releng/vex-yul-odl-jenkins-1/${GERRIT_PROJECT}-distribution-check-${DIST}/${ODL_BUILD_JOB_NUM}/console.log.gz"
NETVIRT_ARTIFACT_URL=$(curl --fail --compressed ${DISTRO_CHECK_CONSOLE_LOG} | grep 'BUNDLE_URL' | cut -d = -f 2)
echo -e "URL to artifact is\n\t$NETVIRT_ARTIFACT_URL"
echo "Downloading the artifact. This could take time..."
-wget -q -O $ODL_ZIP $NETVIRT_ARTIFACT_URL
-if [[ $? -ne 0 ]]; then
+if ! wget -q -O $ODL_ZIP $NETVIRT_ARTIFACT_URL; then
echo "The artifact does not exist! Probably removed due to ODL Jenkins artifact retention policy."
- echo "Rerun netvirt-patch-test-current-carbon to get artifact rebuilt."
+ echo "Use 'recheck' on the gerrit to get artifact rebuilt."
exit 1
fi
diff --git a/jjb/3rd_party_ci/odl-netvirt.yaml b/jjb/3rd_party_ci/odl-netvirt.yaml
index bb7d21e11..194924bb9 100644
--- a/jjb/3rd_party_ci/odl-netvirt.yaml
+++ b/jjb/3rd_party_ci/odl-netvirt.yaml
@@ -95,7 +95,7 @@
comment-contains-value: 'check-opnfv'
projects:
- project-compare-type: 'ANT'
- project-pattern: '{project}'
+ project-pattern: '*'
branches:
- branch-compare-type: 'ANT'
branch-pattern: '**/{branch}'
@@ -142,6 +142,7 @@
GERRIT_CHANGE_ID=$GERRIT_CHANGE_ID
GERRIT_PATCHSET_NUMBER=$GERRIT_PATCHSET_NUMBER
GERRIT_PATCHSET_REVISION=$GERRIT_PATCHSET_REVISION
+ GERRIT_PROJECT=$GERRIT_PROJECT
NETVIRT_ARTIFACT=$NETVIRT_ARTIFACT
TOPOLOGY=$TOPOLOGY
OS_VERSION=$OS_VERSION
diff --git a/jjb/cperf/cperf-robot-netvirt-csit.sh b/jjb/cperf/cperf-robot-netvirt-csit.sh
index 13d3be3e6..0f4bb234b 100755
--- a/jjb/cperf/cperf-robot-netvirt-csit.sh
+++ b/jjb/cperf/cperf-robot-netvirt-csit.sh
@@ -11,7 +11,7 @@ else
fi
if [ "$ODL_BRANCH" == 'master' ]; then
- ODL_STREAM='flourine'
+ ODL_STREAM='neon'
else
ODL_STREAM=${ODL_BRANCH#"stable/"}
fi